Package Gnumed :: Package wxpython :: Module gmTextCtrl :: Class cTextCtrl |
[frames] | no frames]

# Class cTextCtrl

source code

    gmKeywordExpansionWidgets.cKeywordExpansion_TextCtrlMixin --+
                                                                |
                                    cTextSearch_TextCtrlMixin --+
                                                                |
                                 cColoredStatus_TextCtrlMixin --+
                                                                |
                              cUnicodeInsertion_TextCtrlMixin --+
                                                                |
                                                  wx.TextCtrl --+
                                                                |
                                                               cTextCtrl

Instance Methods
__init__(self, *args, **kwargs) | source code
add_callback_on_set_focus(self, callback=None) Add a callback for invocation when getting focus. | source code
add_callback_on_lose_focus(self, callback=None) Add a callback for invocation when losing focus. | source code
add_callback_on_modified(self, callback=None) Add a callback for invocation when the content is modified. | source code
Inherited from `gmKeywordExpansionWidgets.cKeywordExpansion_TextCtrlMixin`: `attempt_expansion`, `disable_keyword_expansions`, `enable_keyword_expansions` Inherited from `cTextSearch_TextCtrlMixin`: `show_find_dialog` Inherited from `cColoredStatus_TextCtrlMixin`: `Disable`, `Enable`, `display_as_disabled`, `display_as_valid` Inherited from `cUnicodeInsertion_TextCtrlMixin`: `mixin_insert_unicode_character`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: cUnicodeInsertion_TextCtrlMixin.__init__

### add_callback_on_modified(self, callback=None) | source code
Add a callback for invocation when the content is modified. This callback will NOT be passed any values.